<!-- 
  Copyright (c) 2018 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
    Christopher Guindon <chris.guindon@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
-->
<a class="sr-only" href="#content">Skip to main content</a>
<header class="header-wrapper{{- with .Params.header_wrapper_class | default .Site.Params.header_wrapper_class }} {{ . }}{{end}}" id="header-wrapper">
  <div class="clearfix toolbar-container-wrapper">
    <div class="container">
      <div class="text-right toolbar-row row hidden-print">
        <div class="col-md-24 row-toolbar-col">
          <ul class="list-inline">
            <li><a href="https://accounts.eclipse.org/user/edit" class="" data-tab-destination="tab-profile"><i class="fa fa-edit fa-fw"></i> Edit my account</a></li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <div class="container">
    <div class="row" id="header-row">
      <div class="col-sm-5 col-md-4" id="header-left">
        <div class="wrapper-logo-default">
          {{- with .Site.Params.logo | default "https://www.eclipse.org/app4mc/public/images/logo/APP4MCLogo.png" }}
            <a title="{{ $.Site.Title}}" href="{{ "" | absLangURL }}">
              <img width="140" class="logo-eclipse-default img-responsive hidden-xs" src="{{ . | absURL }}" alt="{{ $.Site.Title}}" />
            </a>
          {{ end }}
        </div>
      </div>
      {{ if (and (isset .Site.Params "call_for_action_text") (isset .Site.Params "call_for_action_url") (isset .Site.Params "call_for_action_icon")) }}
      <div class="col-sm-4 col-md-5 text-right hidden-print hidden-xs pull-right margin-top-10" id="header-right">
        <div id="btn-call-for-action"><a href="{{ .Site.Params.call_for_action_url }}" class="btn btn-huge btn-warning"><i class="fa {{ .Site.Params.call_for_action_icon }}"></i> {{ .Site.Params.call_for_action_text }}</a></div>
      </div>
      <div class="col-sm-15 col-md-15 reset margin-top-10" id="main-menu-wrapper">
      {{ else }}
      <div class="col-sm-19 col-md-20 reset margin-top-10" id="main-menu-wrapper">
      {{ end }}
        <div class="navbar yamm" id="main-menu">
          <div class="navbar-collapse collapse reset float-right" id="navbar-main-menu">
            <ul class="nav navbar-nav">
              {{ partial "nav.html" . }}
            </ul>
          </div>
          <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-main-menu">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            </button>
            <div class="wrapper-logo-mobile">
              {{ if isset .Site.Params "logo" }}
                <a class="navbar-brand visible-xs" title="{{ .Site.Title }}" href="{{ "" | absLangURL }}">
                  <img width="140" class="logo-eclipse-default-mobile img-responsive" src="{{ .Site.Params.logo | absURL }}" alt="{{ .Site.Title }}" />
                </a>
              {{ end }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  {{ partial "jumbotron.html" . }}
</header>
